# Manual do Usuário do &kde;

03/10/2008
0.01.01
meinproc4
8

# `meinproc4`

Tradutor do &kde; para XML

## Sintaxe

    meinproc4 --help Opções-genéricas opções-do-Qt opções-do-KDE --cache arquivo --check --htdig --srcdir --param chave=valor   -o --output   arquivo  --stdout --stylesheet xsl arquivo-docbook

## Descrição

O `meinproc4` converte arquivos DocBook para HTML.

## Opções genéricas

`--author`

  Mostra informações sobre o autor.

`--help`

  Mostra a ajuda sobre as opções.

`--help-all`

  Mostra todas as opções.

`--help-kde`

  Mostra opções específicas do KDE.

`--help-qt`

  Mostra as opções específicas do Qt.

`--license`

  Mostra informações sobre a licença.

`-v``--version`

  Exibe informações sobre a versão

## Opções do aplicativo

`--cache` `arquivo`

  Criar um arquivo de 'cache' para o documento

`--check`

  Verificar a validade do documento

      O resultado poderá ser bastante exaustivo, uma vez que um pequeno erro poderá gerar uma enorme cascata de erros.
      O truque é olhar para o primeiro erro, corrigi-lo, salvar o arquivo e executar o meinproc4 novamente.

`--htdig`

  Criar um índice compatível com o ht://dig

`-o`, `--output` `arquivo`

  Envia o documento inteiro para o `arquivo`.

`--stdout`

  Envia todo o documento para o 'stdout' (tela).

`--stylesheet` `xsl`

  Folha de estilo a ser usada

`--srcdir` `pasta`

  Configure a pasta de topo onde procurar as 'kdelibs'

`--param` chave=valor

  Define os parâmetros a passar à folha de estilo.

## Utilização

A forma mais comum de executar o `meinproc4` é tão simples como

    meinproc4 arquivo-docbook

, onde o arquivo-docbook é normalmente 'index.docbook'. Este comando cria páginas HTML a partir do arquivo DocBook. Lembre-se que estas páginas só são visíveis em navegadores baseados no KDE (como o Konqueror).

Se você precisar ver o resultado em HTML em outro navegador (por exemplo, se quiser colocá-lo 'online'), use

    meinproc4 --stylesheet nome-folha-estilo arquivo-docbook

, onde o nome-folha-estilo é a localização completa de uma das folhas de estilo em $KDEDIR/share/apps/ksgmltools/customization. Para produzir um resultado adequado para a Web, você poderá usar o `kde-web.xsl` ou o `kde-chunk-online.xsl`. Veja o arquivo README dessa pasta para mais detalhes.

## Veja Também

opções-do-kde(7), opções-do-qt(7)

## Problemas

Existem provavelmente muitos erros. Use o bugs.kde.org para comunicá-los.